<?php

class user_group_filter {
	private $ugf_id;
	private $ugf_name;
	private $ugf_field;
	private $ugf_table;
	private $ugf_label;
	private $ugf_value;
	private $ugf_condition;


    /**
     * @return mixed
     */
    public function get_ugf_id()
    {
        return $this->ugf_id;
    }

    /**
     * @param mixed $ugf_id
     *
     * @return self
     */
    public function set_ugf_id($ugf_id)
    {
        $this->ugf_id = $ugf_id;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_ugf_name()
    {
        return $this->ugf_name;
    }

    /**
     * @param mixed $ugf_name
     *
     * @return self
     */
    public function set_ugf_name($ugf_name)
    {
        $this->ugf_name = $ugf_name;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_ugf_field()
    {
        return $this->ugf_field;
    }

    /**
     * @param mixed $ugf_field
     *
     * @return self
     */
    public function set_ugf_field($ugf_field)
    {
        $this->ugf_field = $ugf_field;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_ugf_table()
    {
        return $this->ugf_table;
    }

    /**
     * @param mixed $ugf_table
     *
     * @return self
     */
    public function set_ugf_table($ugf_table)
    {
        $this->ugf_table = $ugf_table;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_ugf_label()
    {
        return $this->ugf_label;
    }

    /**
     * @param mixed $ugf_label
     *
     * @return self
     */
    public function set_ugf_label($ugf_label)
    {
        $this->ugf_label = $ugf_label;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_ugf_value()
    {
        return $this->ugf_value;
    }

    /**
     * @param mixed $ugf_value
     *
     * @return self
     */
    public function set_ugf_value($ugf_value)
    {
        $this->ugf_value = $ugf_value;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_ugf_condition()
    {
        return $this->ugf_condition;
    }

    /**
     * @param mixed $ugf_condition
     *
     * @return self
     */
    public function set_ugf_condition($ugf_condition)
    {
        $this->ugf_condition = $ugf_condition;

        return $this;
    }

    public function set_ugf_data_by_id($_ugf_id) {
		global $sql;
		$ugf_assoc_array = $sql->assoc_array("select * from user_group_filter where ugf_id = " . $_ugf_id);
		$ugf_array = $ugf_assoc_array[0];
        //alapadatok
		foreach ($ugf_array as $field => $value) {
			$function_name = "set_" . $field;
			$this->$function_name($value);
		}

	}
}


?>